package com.bzd.system.service.kc.bb;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店进销存月汇总表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcBbStoreinventorycostService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcBbStoreinventorycost(PageData pd)throws Exception {
        return daoSupport.update("SKcBbStoreinventorycostMapper.addSKcBbStoreinventorycost", pd);
    }

    public List<PageData> findSKcBbStoreinventorycostList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcBbStoreinventorycostMapper.selectSKcBbStoreinventorycostList", pd);
    }

    public Integer SKcBbStoreinventorycostRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcBbStoreinventorycostMapper.SKcBbStoreinventorycostRemove", pd);
    }


    public Integer updateSKcBbStoreinventorycost(PageData pd)throws Exception {
        return daoSupport.update("SKcBbStoreinventorycostMapper.updateSKcBbStoreinventorycost", pd);
    }

}
